EPR_Raster Struct Reference

Represents a raster in which data will be stored. More...

`#include <epr_api.h>`

## Data Fields

EPR_Magic | magic
| The magic number for this structure.
EPR_EDataTypeId | data_type
| The data type of the band's pixel values.
uint | elem_size
| The size in byte of a single element (sample) of this raster's buffer.
uint | source_width
| The width of the source .
uint | source_height
| The height of the source.
uint | source_step_x
| The sub-sampling for the across-track direction in pixel.
uint | source_step_y
| The sub-sampling for the along-track direction in pixel.
uint | raster_width
| The width of the raster in pixel.
uint | raster_height
| The height of the raster in pixel.
void * | buffer
| The elements of this raster.

## Detailed Description

Represents a raster in which data will be stored.

All 'size' parameter are in PIXEL.

## Field Documentation

## magic

EPR_Magic EPR_Raster::magic

The magic number for this structure.

IMPORTANT: This must always be the first member of this structure.

## data_type

EPR_EDataTypeId EPR_Raster::data_type

The data type of the band's pixel values.

All corresponding with EPR_DataTypeId types are possible

## elem_size

uint EPR_Raster::elem_size

The size in byte of a single element (sample) of this raster's buffer.

## source_width

uint EPR_Raster::source_width

The width of the source .

## source_height

uint EPR_Raster::source_height

The height of the source.

## source_step_x

uint EPR_Raster::source_step_x

The sub-sampling for the across-track direction in pixel.

## source_step_y

uint EPR_Raster::source_step_y

The sub-sampling for the along-track direction in pixel.

## raster_width

uint EPR_Raster::raster_width

The width of the raster in pixel.

raster_width = (source_width - 1) / source_step_x + 1

## raster_height

uint EPR_Raster::raster_height

The height of the raster in pixel.

raster_height = (source_height - 1) / source_step_y + 1

## buffer

void* EPR_Raster::buffer

The elements of this raster.

Its volume is raster_width * raster_height * sizeof(data_type) in bytes.

The documentation for this struct was generated from the following file:

- epr_api.h